// 002 u_c_win_log
// 29 oct 2004

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_c_win_log;
  interface
    uses Classes
        , u_c_win_basic_object;

    type c_log= Class(c_basic_object)
                  m_c_file_stream: tFileStream;

                  Constructor create_log(p_name, p_full_file_name: String);
                  procedure write_to_log(p_text: String);
                end; // c_log

  implementation

    // -- c_log

    Constructor c_log.create_log(p_name, p_full_file_name: String);
      begin
        Inherited create_basic_object(p_name);

        m_c_file_stream:= tFileStream.Create(p_full_file_name, fmCreate);
      end; // c_log

    procedure c_log.write_to_log(p_text: String);
      var l_length: Integer;
          l_character: char;
          l_index: Integer;
      begin
        l_length:= Length(p_text);

        with m_c_file_stream do
        begin
          Position:= Size;

          if l_length<> 0
            then begin
                p_text:= p_text+ chr(13)+ Chr(10);
                for l_index:= 1 to l_length+ 2 do
                begin
                  l_character:= p_text[l_index];
                  // -- warning D8: "Write is specific to a platform"
                  Write(l_character, 1);
                end;
              end;
        end; // with m_c_file_stream
      end; // write_to_log

  end.


